spandsp: playout_state_t Struct Reference

spandsp 0.0.6

Public Attributes | List of all members
playout_state_t Struct Reference

`#include <playout.h>`

## Public Attributes
int | dynamic
int | min_length
int | max_length
int | dropable_threshold
int | start
playout_frame_t * | first_frame
playout_frame_t * | last_frame
playout_frame_t * | free_frames
int | frames_in
int | frames_out
int | frames_oos
int | frames_late
int | frames_missing
int | frames_trimmed
timestamp_t | latest_expected
timestamp_t | current
timestamp_t | last_speech_sender_stamp
timestamp_t | last_speech_sender_len
int | not_first
timestamp_t | since_last_step
int32_t | state_just_in_time
int32_t | state_late
int | target_buffer_length
int | actual_buffer_length

## Detailed Description

Playout (jitter buffer) descriptor. This defines the working state for a single instance of playout buffering.

## Member Data Documentation

## ◆ actual_buffer_length

int playout_state_t::actual_buffer_length

The current actual length of the buffer, which may lag behind the target value

## ◆ current

timestamp_t playout_state_t::current

The present jitter adjustment

## ◆ dropable_threshold

int playout_state_t::dropable_threshold

The target filter threshold for adjusting dynamic buffering.

## ◆ dynamic

int playout_state_t::dynamic

TRUE if the buffer is dynamically sized

## ◆ first_frame

playout_frame_t* playout_state_t::first_frame

The queued frame list

## ◆ frames_in

int playout_state_t::frames_in

The total frames input to the buffer, to date.

## ◆ frames_late

int playout_state_t::frames_late

The number of frames which were discarded, due to late arrival.

## ◆ frames_missing

int playout_state_t::frames_missing

The number of frames which were never received.

## ◆ frames_oos

int playout_state_t::frames_oos

The number of frames received out of sequence.

## ◆ frames_out

int playout_state_t::frames_out

The total frames output from the buffer, to date.

## ◆ frames_trimmed

int playout_state_t::frames_trimmed

The number of frames trimmed from the stream, due to buffer shrinkage.

## ◆ free_frames

playout_frame_t* playout_state_t::free_frames

The free frame pool

## ◆ last_speech_sender_len

timestamp_t playout_state_t::last_speech_sender_len

The duration of the last speech frame

## ◆ last_speech_sender_stamp

timestamp_t playout_state_t::last_speech_sender_stamp

The sender_stamp of the last speech frame

## ◆ max_length

int playout_state_t::max_length

The maximum length (dynamic) or fixed length (static) of the buffer

## ◆ min_length

int playout_state_t::min_length

The minimum length (dynamic) or fixed length (static) of the buffer

## ◆ since_last_step

timestamp_t playout_state_t::since_last_step

The time since the target buffer length was last changed.

## ◆ state_just_in_time

int32_t playout_state_t::state_just_in_time

Filter state for tracking the packets arriving just in time

## ◆ state_late

int32_t playout_state_t::state_late

Filter state for tracking the packets arriving late

## ◆ target_buffer_length

int playout_state_t::target_buffer_length

The current target length of the buffer

The documentation for this struct was generated from the following file:

- playout.h